Summary: utilities for finding files--find, xargs, and locate
Name: hhl-target-findutils
Version: 4.1.7
Release: %{_hhl_build_id}.1
Source: findutils_%{version}.orig.tar.gz
Source1: findutils.tmpl
Source2: findutils-doc.tmpl
Patch0: findutils_%{version}-2.diff.gz
License: GPL
Group: text
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
These utilities find files meeting specified criteria and perform
various actions on the files which are found.

%package -n hhl-%{_hhl_target_arch}-findutils
Summary: utilities for finding files--find, xargs, and locate
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-findutils
These utilities find files meeting specified criteria and perform
various actions on the files which are found.

%package -n hhl-%{_hhl_target_arch}-findutils-doc
Summary: utilities for finding files--find, xargs, and locate
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-findutils-doc
These utilities find files meeting specified criteria and perform
various actions on the files which are found.

This package includes the documentation for findutils.

%prep
%target_check
%setup -q -n findutils-%{version}.orig
%patch0 -p1

%build

%target_setup
export ac_cv_func_setvbuf_reversed='no'
mkdir objdir
cd objdir
../configure --host=%{_hhl_target_config} --build=%{_hhl_host_config} --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin \
--sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/lib/findutils --localstatedir=/var \
--sharedstatedir=/usr/share --mandir=/usr/share/man --infodir=/usr/share/info

%make all LOCATE_DB=%{_hhl_target_localstate_dir}/lib/locate/locatedb | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
%target_makeinstall libexecdir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/findutils | tee -a build.log
for AFile in %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.? %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*.info{,-?}; do
	rm -f ${AFile}.gz
	test -f ${AFile} && gzip -9 ${AFile}
done
cd ..
cp COPYING LICENSE
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/dir
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/lib/locate
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/findutils
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/findutils-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-findutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/findutils/
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/findutils
%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/lib/locate
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/locale/*/LC_MESSAGES/findutils.mo

%files -n hhl-%{_hhl_target_arch}-findutils-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README README-alpha THANKS TODO
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/findutils-doc
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Charles Duffy <source@mvista.com>
- First cut
